/************************************************************************
 *
 * Read the register CFR of slowControl interface 
 *  
 * Author : Jean-Luc PANAZOL
 *          LAPP-ANNECY
 * e-mail : panazol@lapp.in2p3.fr 
 * Date   : oct 2007
 * Input :
 *   - File descriptor
 * Output :
 *   - CFR
 ************************************************************************
 * 
 cPCI_CFR_Read
 
 */

#include <stdio.h>
#include <string.h>
#include <sys/ioctl.h>

#include "cpu_def.h"
#include "ctrlsecurity_def.h"    
#include "CtrlSecurityPilot.h"

int cPCI_CFR_Read(int file_desc)
{
  int wc;

  wc = ioctl(file_desc, READ_CFR);
  printf("CFR : %x\n",wc);
  return(wc);
};



