#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <signal.h>
#include <string.h>
#include <unistd.h>
#include <netdb.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <semaphore.h>
#include <pthread.h>
#include <sys/types.h> 
#include <sys/stat.h>
#include <fcntl.h> 
#include <unistd.h>
#include <sys/ioctl.h>   
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sys/mman.h>
#include <errno.h>
#include <ctype.h>
#include <time.h>
#include <termios.h>

// declaration define
#define  SERVEURNAME "192.168.1.167"

#define NB_CASE 22
#define NB_CASE_CMD 32
#define NB_FAN 16
#define NB_SENSOR 32
#define NB_PHOTODIODE 8
#define NB_GPIO 32

#define SIZE_BUFFER 512
#define MAX_SEUIL 10
#define SIZE_STRING 80
#define BLOC_SIZE 4096

#define DELAY_SLEEP_FAN 100
#define DELAY_TEMPERATURE 30
#define DELAY_SLEEP_GPIO 100
#define DELAY_SLEEP_PHOTODIODE 100

typedef struct {
        int valAdd;
        sem_t * sem;
        struct sockaddr_in mon_address;
        struct sockaddr_in client_address;
        socklen_t mon_address_longueur;
        int client_socket;
} Sem_et_int;

/* configure variable global */
extern int client_socket;
extern int file_desc;
extern int ma_socket;
extern int ma_socketMessage;
extern char *server_name;
extern struct sockaddr_in serverSockAddr,serverSockAddrMessage;
extern struct hostent *serverHostEnt,*serverHostEntMessage ;
extern long hostAddr,hostAddrMessage;
extern int*** tempFanTable;  
extern char caseString[NB_CASE][SIZE_STRING];
extern char caseStringCmd[NB_CASE_CMD][SIZE_STRING];
extern int tempOnOff;
extern int fanOutOnOff;
extern int photodiodeOnOff;
extern int tempNbMoy;
extern int photodiodeNbMoy;
extern float seuilTemp[10];
extern float seuilTempDecrease[10];
extern float seuilPhotodiodeIncrease[10];
extern float seuilPhotodiodeDecrease[10];
extern int nbSeuilTemp;
extern int nbSeuilPhotodiode;
extern int autoMod;
extern unsigned int seuilGPOLocateTable[MAX_SEUIL];
extern int maskGPOLocateTable[MAX_SEUIL];
extern int directionGPIO[NB_GPIO];
extern unsigned int ValueOutGPIO[NB_GPIO];
extern unsigned int ValueInGPIO[NB_GPIO];
extern char descriptionGPIO[NB_GPIO][80];
extern float valeurMoyTemp[NB_SENSOR];
extern int etat[NB_SENSOR];
extern int etatMax;
extern int numSonde;
extern float moyTemp[NB_SENSOR][MAX_SEUIL];   
extern int calculFan[NB_FAN];
extern int fin;
extern int numSonde;
extern int val;
extern int fin;
extern unsigned int param;
extern int valeurLuFan[NB_FAN];
extern int calculFan[NB_FAN];
extern unsigned int seuilGPOLocateTable[MAX_SEUIL];
extern int maskGPOLocateTable[MAX_SEUIL];
extern unsigned int seuilInOutGPOLocateTable0[NB_GPIO];
extern int maskInOutGPOLocateTable0[NB_GPIO];
extern unsigned int seuilInOutGPOLocateTable1[NB_GPIO];
extern int maskInOutGPOLocateTable1[NB_GPIO];
extern int etatPhotoDiode[NB_PHOTODIODE];


// declaration des fonctions 
extern void clean(char *buffer);
extern void purger(void);
extern int userKey(void);
extern int parse2(char *bloc,int debut);
extern int connectServeur(void);
extern int connectServeurMessage(void);
extern void showMenu(void);
extern void doCommand(void);
extern int InitSocketServeurMessage(Sem_et_int ind) ;
extern void finPrg(void);
extern void *listenServerMessage(void *toto);
extern void cmdAllFan(int value);
extern void initSocket2(void);
extern int strpos(char *chaine, char *ch);
extern int readConfigFile(char *fileName);
extern void reset(void);
extern int  initCaseString(void);
extern void tempFanlocateTable(char *valeur);
extern void cmdAllFan(int value);
